## rapier 1.0.5-3

=== Makefile ===
all:
	python2.5 setup.py build  
clean: 
	python2.5 setup.py clean --all
install:
	python2.5 setup.py install --root $(DESTDIR)

## rapier 1.0.3-0

=== debian/changelog ===
rapier (1.0.3-0) unstable; urgency=low

  * Works on os2008.
  * Touchscreen motion should be a bit smoother.
  * Textview scroll to selected verse when full screen mode is changed.
  * Osso context use org.maemo.rapier and not com.nokia.rapier anymore.
  * Sword configuation file location is not hard coded anymore

 -- Pierre Amadio <melmoth@localhost>  Wed,  9 Jan 2008 18:45:31 +0100

rapier (1.0.2-0) unstable; urgency=low

  * Adding a debug option.
  * Remote module management cosmetic.
  * Cursor not visible anymore in textview.
  * Package is binary independent.
  * Automatic bookmarking when closing application (feature request #1007).
  * Fix a bug where modules were not installed if there was no
    modules/texts/ztext directory in Sword's DataPath.
	
 -- Pierre Amadio <pierre.amadio@libertysurf.fr>  Sun, 19 Aug 2007 20:45:06 +0200

rapier (1.0.1-0) unstable; urgency=low

  * No more segfault when performing a second search.
  * Search progress bar added.
  * Preference menu added with default module selection
    and changing of DataPath where to stores modules.
  * Manage menu added with remote and remote module management.
    Clucene Index building available in the manage menu

 -- Pierre Amadio <pierre.amadio@libertysurf.fr>  Tue, 29 May 2007 21:43:16 +0200

rapier (1.0.0-0) unstable; urgency=low

  * Initial Release.

 -- Pierre Amadio <pierre.amadio@libertysurf.fr>  Fri,  2 Feb 2007 21:59:05 +0100

=== debian/control ===
Source: rapier
Section: user/religion
Priority: optional
Maintainer: Pierre Amadio <pierre.amadio@libertysurf.fr>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: rapier
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python-sword, python2.5-runtime
Description: A sword based Bible reader for maemo.
 A sword based Bible reader for maemo.

## rapier 1.0.4-0

=== debian/changelog ===
rapier (1.0.4-0) unstable; urgency=low

  * Changing the package section to user/other.
  * Icon is visible in the application manager.
  * Removing modules did not worked properly.
  * Strong Number support. 
  * Some error checking when copying directory in preferences.
  * The whole application should crash in case the background 
    thread crash.
  * Changing data_path now remove the old modules directory.
  * Adding a "append new line at end of verse" option.
  * Running after a restoration without restauring the sword directory
    led to a crash.
	
 -- Pierre Amadio <melmoth@localhost>  Fri, 25 Jan 2008 17:06:38 +0100

=== debian/control ===
Source: rapier
Section: user/accessories
Priority: optional
Maintainer: Pierre Amadio <pierre.amadio@libertysurf.fr>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: rapier
Architecture: all 
Depends: ${shlibs:Depends}, ${misc:Depends}, python-sword, python2.5-runtime, libsqlite3-0
Description: A sword based Bible reader for maemo.
 A sword based Bible reader for maemo.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wMDAgsD74MP
 FgAAAB10RVh0Q29tbWVudABDcmVhdGVkIHdpdGggVGhlIEdJTVDvZCVuAAAG
 xUlEQVRIx6WVaWwcZx3G/3PPzuzs7uw1u15vvK5jx1ondpzENKGlbdJDcQ7C
 UUClAqkVInwgFSkK0KZNwRINJUgVgQ8UiSqChoIRaptIQGtCSZ2oSW1n63ON
 zz28s4f3sndnZ2d3Dj4QSxVyDrnPx+fD/6fn/b/v8yKwjl4+ddJeKpV/F10S
 jx1+bB9z4ic/LR05cuRLBw8e/GpjY+OmRCKR6O/v//3FixffyWazGQAw4A7C
 1jO/0NvrdPHW1wJ+/1OtrYFvBVtbA3aLtZulyE4Sx5y8w0FJlUo+EonMpFKp
 HADodwKh65kEidVb2zYbTU1+fuBfg6deOH3m+wvJ1N+agx2Ztq3bQFVku4Wm
 HvB6vcLZn/+s5eTx7/nXm03TNMnzvJllWRZfD/SdZ3+Y6nvuxA+aGhv7lkWR
 AQBD13UNAAzaZELaOrbp4Ylx+66O9kPZ5exk947OzwLAUzRN4xRFYSaTibDb
 7RaPx+PhOM6dz+fL+K2injp95hfPf/dog1xXX/AJwoBhGLphGIAgCKAoivqa
 NxdXcrmnf/vGm9tbWgJP7Nl9bxtnsVo4jrNwHGfzer0Bv9/fxrKsMxaLpfHb
 neu10PgbDYJw3O1w/ErTtPMAYNyEIXanE0MwDNu9c8fjkixPHz5w4ITga8Rs
 NpvDbDZzdrvd5XA47JqmoQ6HQ8Rvf1XwUKksTXFm9r54NDqhaZoOAICiKMqy
 LG8YBhXs7NzbFAg0b7XZ6UDLZhNN0xSO4xiO4xgAIMVisaQoSgm9BQIBAPTq
 9eu4JFfOm2gatGr1MIIgxBpILpftOEHqj+3v3cnQVPP2nbsEl8tl4zjOhOM4
 VqlUqolEIjU1NTU1Ojp69ZOJUJIkMY7jSI7jaJvNxjkcDgfP8/NlSSrTFNWQ
 z+UoFEXRiiTBlUvvkXse2KsX0gl7sHuXThAEqqqqVi6XZVEUU5FIZH5xcXF6
 bm5ucmpqahIHANRqtZoaGhp4j8fjEgTB63K5Gtxut08QBL/H42kcvTFSnh4f
 N390dZB3WlgkE48hTU1+QBCAtm3diq7rNVEUpXw+X4jH45GxsbGhcDg8HIvF
 FpLJZGZ5ebmM0DTNdXV1BXt6eu5tb28PNjY2NjmdTrfVarVZLBaOYRi6XCqR
 f/3DOWrH9q2AAABG4KABrkXjokyy5gRBUf9JJpMxURQXo9Ho3Ozs7Ew0GhUL
 hUJFVVUNAAzcZDLxHo+nKxgMPtzT09Ph8/mcDMNQGIahhmEYsiyrC5NjWPM9
 zUYuW0S0ehUe/cqTyj/efquSK0t/plYLrZevj7yWSqdj2Ww2n8vlSvl8Xl4D
 rO0Fr9frajabzSUSiVR7e/tmXddBUZRapVKR47GoND8xZlktlXUEQQqaJG1i
 TBSkluJaaaW4GhoaDm+5Z9PIF3sfxr959Nj0/w//pHBJklai0WhscXFRnJ+f
 FxVFKcmynM8m4uZMOoWzFGkZngg/tyXY8RmPlf+GYLcic6MhKroklnjG1KXV
 tY9tnBlRVVW9bdcZhlGv1+vlQqEQD4VC71+4cOFcanF2biW/fOlPb1/8WiqV
 mbk2PDIAAPFSpaLiJA44GFgg0LSwWioxweCWLQPvX373btrb0DStWqvVUqIo
 Tk1PT48eeHTvk8/86MVnksnkit3G71iVpBGb2fztQKBZaGlrIzSlgoCqeYdG
 x5Yoijj78qu/jt0JhAOAXq1WywsLC9JNz2AZJl+r1eoAAGpNOdPi8521OZ1z
 7oaGzum5edZrYQyXg7c8eN+e95598cc34C601gzGzT9FBwCjXCrTn+89hAAA
 /P3yB7FULtdnoanmZDzKOj1eHWOtq7qBwIH9+47CXWrdCnK6nJP37955bK2O
 JEUpcU7XxKEvP1588KGHdJd/U4FmmIpaUzvDQx/s2zBoeCj0G5/Xffzprz/B
 AgAQBEGQJEljGIYBACAIUp2PL11KJJaBdzmf3zDo5OlX8gP//Hf36398UwIA
 zGQyMTRNmzEMww3DMBRFUYbGJ9+t1+vxeDS1dy58o2dDIACAc/1/KQIAUBRF
 CoLgcTqdAkEQpGEYRq1Wq0mVymo6nXxlYTYCHGPq2zBoTQzDUB6PR3C73S6S
 JAnjfw9PqVar1b5Xf3l+dWV1JhYR90+Pf3T/pwEhBEEQHMexNE1TAACapumy
 LCvVarWaTGfq+WLxpZHhCbBz7EufKhGCIIimaVAoFKRMJlNMp9P5paUlMZvN
 FlRVVa+Nhvpz2dzYUjzzyMzoh5/bMAgAjGKxKIVCofDg4ODw4ODg8JUrVz6M
 RCJxXdfVty68o8uyfGrs4zDwvO2Wu/ovksc/4yD1sUYAAAAASUVORK5CYII=
 ====

## rapier 1.0.4-2

=== debian/changelog ===
rapier (1.0.4-2) unstable; urgency=low

  * Build for diablo.
  * Changing the package section to user/accessories.

 -- Pierre Amadio <melmoth@localhost>  Sun,  5 Oct 2008 19:26:47 +0200

## rapier 1.0.4-3

=== debian/changelog ===
rapier (1.0.4-3) unstable; urgency=low

  * Build for diablo.
  * Changing the package section to user/accessories.

 -- Pierre Amadio <melmoth@localhost>  Mon,  6 Oct 2008 19:52:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/accessories
 Priority: optional
 Maintainer: Pierre Amadio <pierre.amadio@libertysurf.fr>
-Build-Depends: debhelper (>= 4.0.0)
+Build-Depends: debhelper (>= 4.0.0),python2.5-runtime,python2.5-dev
 Standards-Version: 3.6.1
 
 Package: rapier

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/rapier.sgml > rapier.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/rapier.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/rapier


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_gconf
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install 

binary: binary-indep 
.PHONY: build clean binary-indep binary install configure

## rapier 1.0.4-4

=== debian/changelog ===
rapier (1.0.4-4) unstable; urgency=low

  * Strange gconf behaviour changes the start bookmarks.
    workaround is to go to Gen 1:1 when this occurs.

 -- Pierre Amadio <melmoth@localhost>  Fri, 10 Oct 2008 15:59:17 +0200

## rapier 1.0.4-5

=== debian/changelog ===
rapier (1.0.4-5) unstable; urgency=low

  * On Diablo, there is a strange issue with displaying modules such 
    as ABP. 

 -- maemo user <user@maemo-2008.localdomain>  Wed, 28 Oct 2009 18:03:00 +0100

## rapier 1.0.4-6

=== debian/changelog ===
rapier (1.0.4-6) unstable; urgency=low

  * Previous fix broke usual strong's number display. 

 -- maemo user <user@maemo-2008.localdomain>  Thu, 29 Oct 2009 12:18:12 +0100

## rapier 1.0.5-0

=== debian/changelog ===
rapier (1.0.5-0) unstable; urgency=low

  * Build for fremantle.

 -- Pierre Amadio <melmoth@localhost>  Tue, 24 Nov 2009 21:34:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/accessories
 Priority: optional
 Maintainer: Pierre Amadio <pierre.amadio@libertysurf.fr>
-Build-Depends: debhelper (>= 4.0.0),python2.5-runtime,python2.5-dev
+Build-Depends: debhelper (>= 4.0.0),python2.5,python2.5-dev
 Standards-Version: 3.6.1
 
 Package: rapier
 Architecture: all 
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-sword, python2.5-runtime, libsqlite3-0
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-sword16, python2.5, libsqlite3-0,python-gnome2,python-hildon,python-osso,sword16-tools 
 Description: A sword based Bible reader for maemo.
  A sword based Bible reader for maemo.
 XB-Maemo-Icon-26:

## rapier 1.0.5-1

=== debian/changelog ===
rapier (1.0.5-1) unstable; urgency=low

  * replacing python-gnome2 dependencies with gnome-python  

 -- Pierre Amadio <melmoth@localhost>  Tue,  1 Dec 2009 11:48:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Pierre Amadio <pierre.amadio@libertysurf.fr>
 Build-Depends: debhelper (>= 4.0.0),python2.5,python2.5-dev
 Standards-Version: 3.6.1
+Xsbc-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=200&atid=820 
 
 Package: rapier
 Architecture: all 
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-sword16, python2.5, libsqlite3-0,python-gnome2,python-hildon,python-osso,sword16-tools 
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-sword16, python2.5, libsqlite3-0,gnome-python,python-hildon,python-osso,sword16-tools 
 Description: A sword based Bible reader for maemo.
  A sword based Bible reader for maemo.
 XB-Maemo-Icon-26:

## rapier 1.0.5-2

=== debian/changelog ===
rapier (1.0.5-2) unstable; urgency=low

  * import gconf alternative.

 -- Pierre Amadio <melmoth@localhost>  Fri,  4 Dec 2009 22:40:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: rapier
 Architecture: all 
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-sword16, python2.5, libsqlite3-0,gnome-python,python-hildon,python-osso,sword16-tools 
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-sword16, python2.5, libsqlite3-0,gnome-python,python-hildon,python-osso,sword16-tools
 Description: A sword based Bible reader for maemo.
  A sword based Bible reader for maemo.
 XB-Maemo-Icon-26:

## rapier 1.0.5-3

=== debian/changelog ===
rapier (1.0.5-3) unstable; urgency=low

  * Switching category to user/utilities as there was a big warning
    in the promotion to extras-testing page with the current 
    user/accessories.

 -- Pierre Amadio <melmoth@localhost>  Mon, 21 Dec 2009 10:55:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: rapier
-Section: user/accessories
+Section: user/utilities
 Priority: optional
 Maintainer: Pierre Amadio <pierre.amadio@libertysurf.fr>
 Build-Depends: debhelper (>= 4.0.0),python2.5,python2.5-dev
